import React, { useState, useEffect } from 'react';
import { Redirect, Switch } from "react-router";
import AuthRoute from "./AuthRoute";
import ProductForm from "./ProductForm";
import ProductGrid from "./ProductGrid";
import SearchResults from "./SearchResults";
import {getAllProducts} from "../actions/apiRequests.js"

export default function Main() {
  const [productData, setproductData] = useState([]);

  useEffect(() => {
    loadProducts();
  }, []);

  const loadProducts = async (event) => {
    const data = await getAllProducts();
    setproductData(data);
  }

  return (
    <div>
      <Switch>
      <AuthRoute path="/searchResults"><SearchResults /></AuthRoute>
        <AuthRoute exact path="/products/new">
          <ProductForm />
        </AuthRoute>
        <AuthRoute exact path="/promos/new">NEW PROMO</AuthRoute>
        <AuthRoute exact path="/products">
          <ProductGrid productData={productData} />
        </AuthRoute>
        <AuthRoute path="/promos">PROMOS</AuthRoute>
        <AuthRoute exact path="/">
          <Redirect to="/products" />
        </AuthRoute>
        <AuthRoute >404 PAGE</AuthRoute>
      </Switch>
    </div>
  );
}
