import React from 'react';
import { Redirect, withRouter } from "react-router-dom";
import { getFilteredProducts } from '../actions/apiRequests';

class Search extends React.Component {
    constructor(props){
        super(props);
        this.state = {
            searchTerm: '',
            results: []
        };

        this.submit = this.submit.bind(this);
        this.changeTerm = this.changeTerm.bind(this);
    }

    changeTerm(event) {
        this.setState({searchTerm: event.target.value});
    }

    async submit(event){
        console.log(this.state.searchTerm);
        const data = await getFilteredProducts(this.state.searchTerm)
            .then(res => {
                this.setState({result: res.data}, () => {
                    this.props.history.push("/searchResults");
                });
            })
            .catch(err => console.log(err));
    }

    //Need to search by name or SKU
    render(){
        return (
            <div>
                <form className="d-flex" onSubmit={this.submit}>
                    <input
                    type="search"
                    className="form-control me-2"
                    placeholder="Search for item..."
                    onChange={this.changeTerm}
                    />
                    <button className="btn btn-light" type="submit">
                        GO
                    </button>
                </form>
                {/* {
                    <Redirect to={{
                    pathname: '/searchResults',
                    state: {results: this.state.results}
                }} />
                } */}
            </div>
          );
    }
}

export default withRouter(Search);